# Uses of Enum
org.apache.zookeeper.KeeperException.Code

Packages that use KeeperException.Code
Package
Description
org.apache.zookeeper
org.apache.zookeeper.server.auth

## Uses of KeeperException.Code in org.apache.zookeeper

Subclasses with type arguments of type KeeperException.Code in org.apache.zookeeper
Modifier and Type
Class
Description
`static enum`
`KeeperException.Code`
Codes which represent the various KeeperException types.
Methods in org.apache.zookeeper that return KeeperException.Code
Modifier and Type
Method
Description
`KeeperException.Code`
KeeperException.`code()`
Read the error Code for this exception
`static KeeperException.Code`
KeeperException.Code.`get(int code)`
Get the Code value for a particular integer error code
`static KeeperException.Code`
KeeperException.Code.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static KeeperException.Code[]`
KeeperException.Code.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper with parameters of type KeeperException.Code
Modifier and Type
Method
Description
`static KeeperException`
KeeperException.`create(KeeperException.Code code)`
All non-specific keeper exceptions should be constructed via this factory method in order to guarantee consistency in error codes and such.
`static KeeperException`
KeeperException.`create(KeeperException.Code code, String path)`
All non-specific keeper exceptions should be constructed via this factory method in order to guarantee consistency in error codes and such.
Constructors in org.apache.zookeeper with parameters of type KeeperException.Code
Modifier
Constructor
Description
``
`KeeperException(KeeperException.Code code)`

## Uses of KeeperException.Code in org.apache.zookeeper.server.auth

Methods in org.apache.zookeeper.server.auth that return KeeperException.Code
Modifier and Type
Method
Description
`KeeperException.Code`
AuthenticationProvider.`handleAuthentication(ServerCnxn cnxn, byte[] authData)`
This method is called when a client passes authentication data for this scheme.
`KeeperException.Code`
DigestAuthenticationProvider.`handleAuthentication(ServerCnxn cnxn, byte[] authData)`
`KeeperException.Code`
EnsembleAuthenticationProvider.`handleAuthentication(ServerCnxn cnxn, byte[] authData)`
`KeeperException.Code`
IPAuthenticationProvider.`handleAuthentication(ServerCnxn cnxn, byte[] authData)`
`KeeperException.Code`
KeyAuthenticationProvider.`handleAuthentication(ServerAuthenticationProvider.ServerObjs serverObjs, byte[] authData)`
`KeeperException.Code`
SASLAuthenticationProvider.`handleAuthentication(ServerCnxn cnxn, byte[] authData)`
`abstract KeeperException.Code`
ServerAuthenticationProvider.`handleAuthentication(ServerAuthenticationProvider.ServerObjs serverObjs, byte[] authData)`
This method is called when a client passes authentication data for this scheme.
`final KeeperException.Code`
ServerAuthenticationProvider.`handleAuthentication(ServerCnxn cnxn, byte[] authData)`
`KeeperException.Code`
X509AuthenticationProvider.`handleAuthentication(ServerCnxn cnxn, byte[] authData)`